Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1662532 - Review Request: qt-installer-framework - The Qt Installer Framework
Summary: Review Request: qt-installer-framework - The Qt Installer Framework
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: qt-installer-framework (view as bug list)
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2018-12-29 13:35 UTC by sensor.wen
Modified: 2019-02-07 23:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description sensor.wen 2018-12-29 13:35:26 UTC
SPEC: https://copr-be.cloud.fedoraproject.org/results/mosquito/deepin/fedora-rawhide-x86_64/00840558-qt-installer-framework/qt-installer-framework.spec
SRPM: https://copr-be.cloud.fedoraproject.org/results/mosquito/deepin/fedora-rawhide-x86_64/00840558-qt-installer-framework/qt-installer-framework-3.0.6-1.fc30.src.rpm

Description: The Qt Installer Framework provides a set of tools and utilities to create installers
for the supported desktop Qt platforms: Linux, Microsoft Windows, and OS X.

Fedora Account System Username: mosquito

Comment 1 sensor.wen 2018-12-29 13:36:06 UTC
*** Bug 1360277 has been marked as a duplicate of this bug. ***

Comment 2 Robert-André Mauchin 2019-01-02 16:46:45 UTC
 - License should contain GNU Free Documentation License too

 - Add  a BR for gcc-c++

 


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Public domain", "GNU Lesser General Public License (v2)",
     "Unknown or generated", "GNU Free Documentation License", "GNU Free
     Documentation License (v1.3)", "*No copyright* Public domain", "GPL
     (v3)", "LGPL (v2.1 or v3)". 915 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/qt-installer-
     framework/review-qt-installer-framework/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in qt-
     installer-framework-doc , qt-installer-framework-debuginfo , qt-
     installer-framework-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qt-installer-framework-3.0.6-1.fc30.x86_64.rpm
          qt-installer-framework-doc-3.0.6-1.fc30.noarch.rpm
          qt-installer-framework-examples-3.0.6-1.fc30.noarch.rpm
          qt-installer-framework-debuginfo-3.0.6-1.fc30.x86_64.rpm
          qt-installer-framework-debugsource-3.0.6-1.fc30.x86_64.rpm
          qt-installer-framework-3.0.6-1.fc30.src.rpm
qt-installer-framework.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/qt-installer-framework/Changelog
qt-installer-framework.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/qt-installer-framework/README
qt-installer-framework.x86_64: W: no-manual-page-for-binary archivegen-qt5
qt-installer-framework.x86_64: W: no-manual-page-for-binary binarycreator-qt5
qt-installer-framework.x86_64: W: no-manual-page-for-binary devtool-qt5
qt-installer-framework.x86_64: W: no-manual-page-for-binary repogen-qt5
qt-installer-framework-examples.noarch: W: only-non-binary-in-usr-lib
qt-installer-framework-examples.noarch: W: no-documentation
qt-installer-framework-examples.noarch: E: zero-length /usr/lib64/qt5/examples/ifw/registervirtualcomponentforuninstall/packages/component/data/selectedcomponent
qt-installer-framework-examples.noarch: E: zero-length /usr/lib64/qt5/examples/ifw/registervirtualcomponentforuninstall/packages/org.qtproject.ifw.example.registercomponent/data/registercomponent
6 packages and 0 specfiles checked; 2 errors, 8 warnings.

Comment 3 sensor.wen 2019-01-04 16:25:06 UTC
Thank you. I fixed.

https://github.com/FZUG/repo/commit/fd20f55aa39fa0a707ec34a2443be693197e672d

Comment 4 Robert-André Mauchin 2019-02-07 23:21:54 UTC
Package approved.


Note You need to log in before you can comment on or make changes to this bug.